LibreOffice: XStructTypeDescription Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XStructTypeDescription Interface Reference

Reflects a struct type, supporting polymorphic struct types. More...

`import "XStructTypeDescription.idl";`

Inheritance diagram for XStructTypeDescription:

## Public Member Functions
sequence< string > | getTypeParameters ()
| Returns the type parameters of a polymorphic struct type template.
sequence< XTypeDescription > | getTypeArguments ()
| Returns the type arguments of an instantiated polymorphic struct type.
Public Member Functions inherited from XCompoundTypeDescription
com::sun::star::reflection::XTypeDescription | getBaseType ()
| Returns the type of the base type of the compound type.
sequence< com::sun::star::reflection::XTypeDescription > | getMemberTypes ()
| Returns the member types of the struct/exception in IDL declaration order.
sequence< string > | getMemberNames ()
| Returns the member names of the struct/exception in IDL declaration order.
Public Member Functions inherited from XTypeDescription
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity.
string | getName ()
| Returns the fully qualified name of the UNOIDL entity.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Reflects a struct type, supporting polymorphic struct types.

This type supersedes XCompoundTypeDescription, which only supports plain struct types.

This type is used to reflect all of the following:

- Polymorphic struct type templates, like `Struct<T, U>`. For these, com::sun::star::reflection::XStructTypeDescription::getTypeParameters() returns a non-empty sequence, while com::sun::star::reflection::XStructTypeDescription::getTypeArguments() returns an empty sequence.

- Instantiated polymorphic struct types, like `Struct<long, hyper>`. For these, com::sun::star::reflection::XStructTypeDescription::getTypeParameters() returns an empty sequence, while com::sun::star::reflection::XStructTypeDescription::getTypeArguments() returns a non-empty sequence.

- Plain struct types. For these, both com::sun::star::reflection::XStructTypeDescription::getTypeParameters() and com::sun::star::reflection::XStructTypeDescription::getTypeArguments() return an empty sequence.

Since
  OOo 2.0

## Member Function Documentation

## ◆ getTypeArguments()

sequence< XTypeDescription > getTypeArguments | ( |  | ) |

Returns the type arguments of an instantiated polymorphic struct type.

Returns
  a sequence of all type arguments, in the correct order; for a plain struct type, or a polymorphic struct type template, an empty sequence is returned

## ◆ getTypeParameters()

sequence< string > getTypeParameters | ( |  | ) |

Returns the type parameters of a polymorphic struct type template.

Returns
  a sequence of the names of all type parameters, in the correct order; for a plain struct type, or an instantiated polymorphic struct type, an empty sequence is returned

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XStructTypeDescription.idl